%define	name	gpredict
%define	version	1.1
%define	release	%mkrel 3
%define __libtoolize    /bin/true

Summary:        Real-time satellite tracking and orbit prediction program
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Communications
License:        GPLv2+
URL:            http://groundstation.sourceforge.net/gpredict/
Source0:        http://prdownloads.sourceforge.net/groundstation/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk2-devel >= 2.10.0
BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  curl-devel
BuildRequires:  intltool gettext
BuildRequires:  desktop-file-utils
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
Gpredict is a real time satellite tracking and orbit prediction
program written using the Gtk+ widgets. Gpredict is targetted mainly
towards ham radio operators but others interested in satellite
tracking may find it useful as well. Gpredict uses the SGP4/SDP4
algorithms, which are compatible with the NORAD Keplerian elements.


%prep
%setup -q


%build
autoreconf -fi
%configure2_5x

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=gpredict
Icon=/usr/share/pixmaps/gpredict/icons/gpredict-icon.png
Terminal=false
Name=Gpredict Satellite Tracker
GenericName=Real-time satellite orbit tracker
Comment=Track satellites in real-time
StartupNotify=true
Categories=GTK;HamRadio;Education;Astronomy;X-MandrivaLinux-MoreApplications-Education-Sciences;
EOF

%{find_lang} %{name} 

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_mandir}/man1/*


%changelog
* Fri Sep 10 2010 Texstar <texstar at gmail.com> 1.1-3pclos2010
- rebuild ldap

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 1.1-2pclos2010
- rebuild

* Sat Oct 10 2009 slick50 <lxgator@gmail.com> 1.1-1pclos2010
- initial build
